[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# LoginDialogExProc

Login dialog callback

## Declaration

Source position: db.pas line 2248

`var LoginDialogExProc: function(`
`const ADatabaseName: string;`
`var AUserName: string;`
`var APassword: string;`
`UserNameReadOnly: Boolean`
`):Boolean = Nil;`

## Description

LoginDialogExProc is a procedural variable that can be set to handle login dialogs: if a database connection component needs to collect login data (typically when LoginPrompt is True), then if this callback is set it can e.g. be used to show a dialog used to fetch the data.

## See also

TCustomConnection.LoginPrompt |  | Should the OnLogin be triggered
TCustomConnection.OnLogin |  | Event triggered when a login prompt is shown.